Daemon Power

The NetBSD Packages Collection: net/py-caldav

Brief description of the package:
CalDAV (RFC4791) client library for Python

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://bitbucket.org/cyrilrbt/caldav.

Please note that this package has a apache-2.0 license.

The package is located in the "net/py-caldav" directory. The current source version of the package is "py27-caldav-0.2.1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/py-caldav :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-coverage-[0-9]* py37-sqlite3-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 openssl>=1.1.1 libffi>=3.3nb1 openssl>=1.1.1dnb2 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.7 py37-setuptools>=0.8 py37-expat-[0-9]* py37-test-runner-[0-9]* py37-setuptools_scm-[0-9]* py37-toml-[0-9]* py37-test>=2.8 py37-atomicwrites>=1.0 py37-attrs>=17.4.0 py37-packaging-[0-9]* py37-pyparsing>=2.0.2 py37-six-[0-9]* py37-pluggy>=0.12 py37-importlib-metadata>=0.12 py37-zipp-[0-9]* py37-setuptools_scm>=1.15.0 py37-py>=1.5.0 py37-six>=1.10.0 py37-wcwidth-[0-9]* py37-more-itertools-[0-9]* py27-nose-[0-9]* py27-lxml-[0-9]* libxml2>=2.9.2 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.8 libxslt>=1.1.28nb2 py27-vobject-[0-9]* py37-dateutil>=2.4.0 py37-six>=1.5 py27-setuptools>=0.8 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 openssl>=0.9.6 python27>=2.7.1nb2 .

This package requires the following package(s) to run: py27-coverage-[0-9]* py37-sqlite3-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 openssl>=1.1.1 libffi>=3.3nb1 openssl>=1.1.1dnb2 python37>=3.7.0 python37>=3.7.7 py37-setuptools>=0.8 py37-expat-[0-9]* py27-nose-[0-9]* py27-lxml-[0-9]* libxml2>=2.9.2 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 libxslt>=1.1.8 libxslt>=1.1.28nb2 py27-vobject-[0-9]* py37-dateutil>=2.4.0 py37-six>=1.5 py27-setuptools>=0.8 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 openssl>=0.9.6 python27>=2.7.1nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py27-caldav-0.2.1.tgz(NetBSD 9.0)
alpha:py27-caldav-0.2.1.tgz(NetBSD 8.0)
alpha:py27-caldav-0.2.1.tgz(NetBSD 9.0)
earm:py27-caldav-0.2.1.tgz(NetBSD 7.0)
earm:py27-caldav-0.2.1.tgz(NetBSD 8.0)
earmv6hf:py27-caldav-0.2.1.tgz(NetBSD 8.0)
earmv6hf:py27-caldav-0.2.1.tgz(NetBSD 8.0)
earmv6hf:py27-caldav-0.2.1.tgz(NetBSD 9.0)
earmv7hf:py27-caldav-0.2.1.tgz(NetBSD 8.0)
earmv7hf:py27-caldav-0.2.1.tgz(NetBSD 8.0)
earmv7hf:py27-caldav-0.2.1.tgz(NetBSD 9.0)
i386:py27-caldav-0.1.12nb1.tgz(MirBSD 10)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.1)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.1)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.1)
i386:py27-caldav-0.2.1.tgz(NetBSD 7.1)
i386:py27-caldav-0.2.1.tgz(NetBSD 8.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 8.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 8.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 8.0)
i386:py27-caldav-0.2.1.tgz(NetBSD 9.0)
powerpc:py27-caldav-0.2.1.tgz(NetBSD 7.1)
powerpc:py27-caldav-0.2.1.tgz(NetBSD 8.0)
powerpc:py27-caldav-0.2.1.tgz(NetBSD 9.0)
powerpc:py27-caldav-0.2.1.tgz(NetBSD 9.0)
sparc64:py27-caldav-0.2.1.tgz(NetBSD 7.1)
sparc64:py27-caldav-0.2.1.tgz(NetBSD 8.0)
sparc64:py27-caldav-0.2.1.tgz(NetBSD 9.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 9.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 9.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.1)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.1)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.1)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 7.1)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 8.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 8.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 8.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 8.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 9.0)
x86_64:py27-caldav-0.2.1.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]